Package com.google.android.exoplayer2.extractor

## Class VorbisUtil.VorbisIdHeader

- java.lang.Object
- - com.google.android.exoplayer2.extractor.VorbisUtil.VorbisIdHeader

- Enclosing class:
    VorbisUtil

      public static final class VorbisUtil.VorbisIdHeader
      extends Object

  Vorbis identification header.
  See Also:
    Vorbis spec/Identification header

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `bitrateMaximum` | The `bitrate_maximum` field, or `Format.NO_VALUE` if not greater than zero.
    `int` | `bitrateMinimum` | The `bitrate_minimum` field, or `Format.NO_VALUE` if not greater than zero.
    `int` | `bitrateNominal` | The `bitrate_nominal` field, or `Format.NO_VALUE` if not greater than zero.
    `int` | `blockSize0` | The `blocksize_0` field.
    `int` | `blockSize1` | The `blocksize_1` field.
    `int` | `channels` | The `audio_channels` field.
    `byte[]` | `data` | The raw header data.
    `boolean` | `framingFlag` | The `framing_flag` field.
    `int` | `sampleRate` | The `audio_sample_rate` field.
    `int` | `version` | The `vorbis_version` field.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VorbisIdHeader​(int version, int channels, int sampleRate, int bitrateMaximum, int bitrateNominal, int bitrateMinimum, int blockSize0, int blockSize1, boolean framingFlag, byte[] data)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public final int version

      The `vorbis_version` field.

    - #### channels

          public final int channels

      The `audio_channels` field.

    - #### sampleRate

          public final int sampleRate

      The `audio_sample_rate` field.

    - #### bitrateMaximum

          public final int bitrateMaximum

      The `bitrate_maximum` field, or `Format.NO_VALUE` if not greater than zero.

    - #### bitrateNominal

          public final int bitrateNominal

      The `bitrate_nominal` field, or `Format.NO_VALUE` if not greater than zero.

    - #### bitrateMinimum

          public final int bitrateMinimum

      The `bitrate_minimum` field, or `Format.NO_VALUE` if not greater than zero.

    - #### blockSize0

          public final int blockSize0

      The `blocksize_0` field.

    - #### blockSize1

          public final int blockSize1

      The `blocksize_1` field.

    - #### framingFlag

          public final boolean framingFlag

      The `framing_flag` field.

    - #### data

          public final byte[] data

      The raw header data.

  - ### Constructor Detail

    - #### VorbisIdHeader

          public VorbisIdHeader​(int version,
                                int channels,
                                int sampleRate,
                                int bitrateMaximum,
                                int bitrateNominal,
                                int bitrateMinimum,
                                int blockSize0,
                                int blockSize1,
                                boolean framingFlag,
                                byte[] data)

      Parameters:
        `version` - See `version`.
        `channels` - See `channels`.
        `sampleRate` - See `sampleRate`.
        `bitrateMaximum` - See `bitrateMaximum`.
        `bitrateNominal` - See `bitrateNominal`.
        `bitrateMinimum` - See `bitrateMinimum`.
        `blockSize0` - See `version`.
        `blockSize1` - See `blockSize1`.
        `framingFlag` - See `framingFlag`.
        `data` - See `data`.